package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:17:50
 * @Modify
 * @CopyRight 
 */
public class GroupChatPlanLogDTO implements Serializable {

    private static final long serialVersionUID = 21625366526300L;

    private Long logId;
    private Long planId;
    private String staffId;
    private String staffName;
    private String clerkId;
    private String clerkName;
    private String clerkCode;
    private String storeCode;
    private String storeName;
    private String storeId;
    private String wxEnterpriseId;
    /**群id*/
    private Long groupChatId;
    private String chatName;
    private Integer chatTotalCount;
    private Integer sendStatus;
    /**群主记录id*/
    private Long ownLogId;
    private String remark;
    private java.util.Date sendTime;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    private String wxChatId ;
    private String storeGroupName ;

    private String storeGroupId ;

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public String getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(String storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getWxChatId() {
        return wxChatId;
    }

    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }

    public Integer getChatTotalCount() {
        return chatTotalCount;
    }

    public void setChatTotalCount(Integer chatTotalCount) {
        this.chatTotalCount = chatTotalCount;
    }

    public String getChatName() {
        return chatName;
    }

    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    public String getStaffId() {
        return staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public void setLogId(Long logId) {
        this.logId = logId;
    }

    public Long getLogId() {
        return logId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setOwnLogId(Long ownLogId) {
        this.ownLogId = ownLogId;
    }

    public Long getOwnLogId() {
        return ownLogId;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setSendTime(java.util.Date sendTime) {
        this.sendTime = sendTime;
    }

    public java.util.Date getSendTime() {
        return sendTime;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }
}